#!/bin/bash

str1=$(celery -A etc.celery_production status)
str2="OK"
result=$(echo $str1 | grep "${str2}")
if [ "$result" != "" ];then
    echo "celery status is OK"
else
    echo "celery is dead!"
    $(cat xxx)
fi
